%define qt3dir %_libdir/qt3

Name: sflphone
Summary: Voice-over-IP software phone
Version: 0.7.2
Release: alt1
License: GPL
Group: Communications
URL: http://www.sflphone.org/

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source0: http://www.sflphone.org/releases/%name-%version.tar.gz

Source10: %name-icons.tar.bz2
Source11: %name-ico.png

Patch1: sflphone-0.7.0-alt-make.patch
Patch3: sflphone-0.7.0-alt-script.patch
Patch4: sflphone-0.7.0-alt-pthread.patch

# Automatically added by buildreq on Sat Sep 16 2006
BuildRequires: libX11-devel libccrtp-devel libeXosip2-devel libosip2-devel libportaudio2-devel
BuildRequires: libqt3-devel libreadline-devel libsamplerate-devel libspeex-devel

%description
SFLPhone is a Voice-over-IP software phone. We want it to be:
- portable (it runs under GNU/Linux, Mac OS X, Win32)
- user friendly (fast, sleek, easy to learn interface)
- corporate grade (transfers, holds, perfect audio quality)
- fully compatible with Asterisk (SIP and IAX protocols)
- customizable (support for custom skins in the QT interface)

As the SIP/audio daemon and the user interface are separate processes,
it is easy to provide different user interfaces. SFLPhone comes with
a QT graphical user interface, an interactive command line interface,
and even scripts to control the daemon from the shell.

SFLPhone is actually used by the support team of Savoir-Faire Linux Inc.

%prep
%setup -q

%patch1 -p1
%patch3 -p1
%patch4 -p1

%__install -m644 %SOURCE11 images/logo_ico.png

%build
export QTDIR=%qt3dir
export PATH=%qt3dir/bin:$PATH
export LD_LIBRARY_PATH=%qt3dir/%_lib

%__autoreconf
%configure \
    --enable-speex \
    --enable-pthread
%make_build

%install
%make DESTDIR=%buildroot install

%__mkdir -p %buildroot%_datadir/applications
%__cat > %buildroot%_datadir/applications/%name.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=SFLPhone
GenericName=VoIP softphone
Comment=Voice-over-IP software phone
Type=Application
Exec=%name
Icon=%name
StartupNotify=true
Terminal=false
Categories=Qt;KDE;Network;Telephony
EOF

%__mkdir -p %buildroot%_iconsdir
%__tar -xjf %SOURCE10 -C %buildroot%_iconsdir/

%files
%_bindir/sflphone*
%_datadir/%name
%_datadir/applications/%name.desktop
%_iconsdir/hicolor/*/apps/%name.png

%changelog
* Wed Jan 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.7.2-alt1
- 0.7.2

* Fri Sep 22 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.7.0-alt1
- initial build

